Results 1 to 7 of 7
  1. #1
    Join Date
    Feb 2006
    Location
    Tampa Bay, Florida
    Posts
    6,697
    Plugin Contributions
    262

    Default Anyone tested 1.5.3 on MySQL 5.6 yet?

    The server requirements http://www.zen-cart.com/content.php?...o-run-zen-cart say Zen Cart 1.5.3 expects MySQL 5.1-5.5. Has anyone tried MySQL 5.6?
    That Software Guy, Plugin Moderator. Store: Zen Cart Modifications
    Available for hire - See my ad in Services
    Contributions: Quantity Discounts, Better Together, SMS on Sale, Gift Wrap at Checkout, and more.

  2. #2
    Join Date
    Jan 2007
    Location
    Australia
    Posts
    6,186
    Plugin Contributions
    7

    Default Re: Anyone tested 1.5.3 on MySQL 5.6 yet?

    Quote Originally Posted by swguy View Post
    The server requirements http://www.zen-cart.com/content.php?...o-run-zen-cart say Zen Cart 1.5.3 expects MySQL 5.1-5.5. Has anyone tried MySQL 5.6?
    Yes.

    Zen Cart 1.5.3
    PHP Version: 5.5.17
    Database: MySQL 5.6.10-log (running on Centos).

    No problems noted.

    Cheers
    RodG
    Ozpost - The Ultimate Shipping module for Australian Merchants. Click these links for its Homepage, or Download from Zen-Cart.com.

  3. #3
    Join Date
    Feb 2006
    Location
    Tampa Bay, Florida
    Posts
    6,697
    Plugin Contributions
    262

    Default Re: Anyone tested 1.5.3 on MySQL 5.6 yet?

    Thank you! This is good to know.
    That Software Guy, Plugin Moderator. Store: Zen Cart Modifications
    Available for hire - See my ad in Services
    Contributions: Quantity Discounts, Better Together, SMS on Sale, Gift Wrap at Checkout, and more.

  4. #4
    Join Date
    Aug 2007
    Location
    Gijón, Asturias, Spain
    Posts
    2,064
    Plugin Contributions
    29

    Default Re: Anyone tested 1.5.3 on MySQL 5.6 yet?

    Zen Cart 1.5.3
    PHP Version: 5.5.15
    Database: MySQL 5.6.20 (running locally Windows 7/Xampp).

    No problems noted.

    I have only ever had "problems" with each upgrade to php, spitting out new deprecation and other warnings. Never had a problem with the db version.
    Steve
    github.com/torvista: Spanish Language Pack, Image Checker, Structured Data, BackupMySQL Admin/Auto, Product Listing Sorter, Redsys payment module...

  5. #5
    Join Date
    Jan 2004
    Posts
    65,303
    Blog Entries
    7
    Plugin Contributions
    228

    Default Re: Anyone tested 1.5.3 on MySQL 5.6 yet?

    Can you test using Salemaker and Specials, specifically with enabling/disabling sales/specials, and also setting them to expire.
    I'm concerned about changes they're making to zero-date restrictions, starting with about MySQL 5.6.6 or so.
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  6. #6
    Join Date
    Jan 2007
    Location
    Australia
    Posts
    6,186
    Plugin Contributions
    7

    Default Re: Anyone tested 1.5.3 on MySQL 5.6 yet?

    Quote Originally Posted by DrByte View Post
    Can you test using Salemaker and Specials, specifically with enabling/disabling sales/specials, and also setting them to expire.
    I'm concerned about changes they're making to zero-date restrictions, starting with about MySQL 5.6.6 or so.
    Sale maker doesn't seem to be an issue (tested using null field and valid dates)

    Specials on the other hand are producing an error

    PHP Fatal error: 1364:Field 'dealproduct_date' doesn't have a default value :: insert into zen_specials
    (products_id, specials_new_products_price, specials_date_added, expires_date, status, specials_date_available)
    values ('3963',
    '20',
    now(),

    BUT, as you can see, this client/server has a 'daily deals' module installed so my findings may not be applicable to a native ZenCart installation (apparently the client hasn't been using this module over the last month or so)

    Darn you Dr. Now I've got a bug to fix.

    Cheers
    RodG
    Ozpost - The Ultimate Shipping module for Australian Merchants. Click these links for its Homepage, or Download from Zen-Cart.com.

  7. #7
    Join Date
    Jan 2007
    Location
    Australia
    Posts
    6,186
    Plugin Contributions
    7

    Default Re: Anyone tested 1.5.3 on MySQL 5.6 yet?

    Update: Setting a default value or enabling NULL in the dailydeals fields cured my problem.

    It appears that the zencart stock fields are already correctly set with suitable values and they a NOT causing any problem in this MySQL 5.6 site.

    Cheers
    RodG
    Last edited by RodG; 15 Oct 2014 at 07:23 PM.
    Ozpost - The Ultimate Shipping module for Australian Merchants. Click these links for its Homepage, or Download from Zen-Cart.com.

 

 

Similar Threads

  1. Has anyone here gone MOBILE yet?
    By kevinmc3 in forum General Questions
    Replies: 19
    Last Post: 14 Dec 2010, 06:27 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR